# Atomic compare & store

A decision block that stores the value of variable if the stored value equal the expected value.

The fiber will proceed immediately without pause.

This block will proceed through the YES path if the stored value did equal the expected value and replaced it with the value of variable, otherwise proceed through the NO path.

Each declared variable may store an atomic counterpart, accessible from any fiber of the same flow. The stored value are persistent and will remain until the flow has been altered, or explicitly cleared.

## Variable

- Atomic variable — a variable.

## Input arguments

- Expected value — value expected to be in store for replace occur, default is `null`.